What are the minimum system requirements?

The application is supported on all three iPhone and the latest iPod Touch models. That is iPhone 3G, 3GS, 4, 4S and iPod Touch second, third and fourth generations. To use the Dragon Search application, you need at least OS 3.1 and iTunes 9.

Have more questions? Submit a request

0 Comments

Article is closed for comments.
Powered by Zendesk